< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package Validators
  Definition Classes
    computations
-  package calculations
  Definition Classes
    computations
-  package capitalAllowanceAndSBA
  Definition Classes
    computations
-  package formats
  Definition Classes
    computations
-  package nir
  Definition Classes
    computations
-  package retriever
  Definition Classes
    computations
- AP1
- AP2
- AP3
- Building
- CP1
- CP100
- CP101
- CP102
- CP103
- CP104
- CP106
- CP107
- CP108
- CP111
- CP113
- CP114
- CP115
- CP116
- CP117
- CP118
- CP14
- CP15
- CP16
- CP17
- CP18
- CP186
- CP19
- CP2
- CP20
- CP21
- CP22
- CP23
- CP234
- CP235
- CP237
- CP238
- CP238a
- CP239
- CP24
- CP240
- CP245
- CP246
- CP247
- CP248
- CP249
- CP25
- CP251
- CP252
- CP253
- CP256
- CP257
- CP258
- CP259
- CP26
- CP263
- CP264
- CP265
- CP266
- CP27
- CP273
- CP274
- CP278
- CP279
- CP28
- CP281
- CP281a
- CP281b
- CP281c
- CP281d
- CP282
- CP283
- CP283a
- CP283b
- CP283c
- CP283d
- CP284
- CP285
- CP286
- CP286a
- CP286b
- CP287
- CP288
- CP288a
- CP288b
- CP289
- CP29
- CP290
- CP290a
- CP290b
- CP290c
- CP290d
- CP291
- CP292
- CP293
- CP294
- CP295
- CP296
- CP297
- CP298
- CP30
- CP301
- CP3010
- CP302
- CP3020
- CP303
- CP3030
- CP305
- CP31
- CP32
- CP33
- CP34
- CP35
- CP36
- CP37
- CP38
- CP39
- CP40
- CP43
- CP44
- CP45
- CP46
- CP47
- CP48
- CP49
- CP50
- CP500
- CP501
- CP502
- CP503
- CP504
- CP505
- CP506
- CP507
- CP508
- CP509
- CP51
- CP510
- CP511
- CP512
- CP513
- CP514
- CP515
- CP52
- CP53
- CP54
- CP55
- CP56
- CP57
- CP58
- CP59
- CP6
- CP666
- CP667
- CP668
- CP669
- CP670
- CP671
- CP672
- CP673
- CP674
- CP7
- CP78
- CP79
- CP8
- CP80
- CP81
- CP81Input
- CP82
- CP83
- CP84
- CP85
- CP86
- CP87
- CP87Input
- CP88
- CP89
- CP90
- CP91
- CP91Input
- CP92
- CP93
- CP95
- CP96
- CP98
- CP980
- CP981
- CP982
- CP983
- CP984
- CP986
- CP99
- CP997
- CP997Abstract
- CP997NI
- CP997c
- CP997d
- CP997e
- CP998
- CP999
- CPAux1
- CPAux2
- CPAux3
- CPQ10
- CPQ1000
- CPQ11
- CPQ117
- CPQ17
- CPQ18
- CPQ19
- CPQ20
- CPQ21
- CPQ321
- CPQ7
- CPQ8
- Car
- HmrcAccountingPeriod
- LEC01
- LEC10
- LEC11
- LEC12
- LEC13
- SBA01
- SBAHelper

c

uk.gov.hmrc.ct.computations

# CPQ10 

###

#### case class CPQ10(value: Option[Boolean]) extends CtBoxIdentifier with CtOptionalBoolean with Input with ValidatableBox[ComputationsBoxRetriever] with AllowancesQuestionsValidation with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AllowancesQuestionsValidation, ValidatableBox[ComputationsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalBoolean, OptionalCtValue[Boolean], CtValue[Option[Boolean]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CPQ10
2. Serializable
3. Serializable
4. Product
5. Equals
6. AllowancesQuestionsValidation
7. ValidatableBox
8. ExtraValidation
9. Validators
10. Input
11. CtOptionalBoolean
12. OptionalCtValue
13. CtValue
14. CtBoxIdentifier
15. AnyRef
16. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CPQ10(value: Option[Boolean])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoolean: Option[Boolean]
   Definition Classes
     CtOptionalBoolean
7.  def asBoxString: Option[String]
   Definition Classes
     CtValue
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
13.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
15.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
16.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
19.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
24.  def id: String
    Definition Classes
      CtBoxIdentifier
25.  def inverse: Option[Boolean]
    Definition Classes
      CtOptionalBoolean
26.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
27.  def isFalse: Boolean
    Definition Classes
      CtOptionalBoolean
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  def isSBALive(apEndDate: EndDate): Boolean
    Definition Classes
      AllowancesQuestionsValidation
30.  def isTrue: Boolean
    Definition Classes
      CtOptionalBoolean
31.  val name: String
    Definition Classes
      CtBoxIdentifier
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
34.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def orFalse: Boolean
    Definition Classes
      CtOptionalBoolean
38.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
39.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
40.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
41.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
42.  val sbaLiveDate: LocalDate
    Definition Classes
      AllowancesQuestionsValidation
43.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
44.  def validate(boxRetriever: ComputationsBoxRetriever): Set[CtValidation]
    Definition Classes
      CPQ10 → ValidatableBox
45.  def validateAgainstCPQ7(boxRetriever: ComputationsBoxRetriever, boxId: String, value: Option[Boolean]): Set[CtValidation]
    Definition Classes
      AllowancesQuestionsValidation
46.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
47.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
48.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
49.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
50.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
51.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
52.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
53.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
54.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
55.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
56.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
57.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
58.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
59.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
60.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
61.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
62.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
63.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
64.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
65.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
66.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
68.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
69.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
70.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
71.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
73.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
74.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
75.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
76.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
77.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
78.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
79.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
    Definition Classes
      ExtraValidation
80.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
81.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
82.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
83.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
84.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
85.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
86.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
88.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
89.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
91.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
92.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
93.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
94.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
95.  val value: Option[Boolean]
    Definition Classes
      CPQ10 → CtValue
96.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
97.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
98.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AllowancesQuestionsValidation

### Inherited from ValidatableBox[ComputationsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalBoolean

### Inherited from OptionalCtValue[Boolean]

### Inherited from CtValue[Option[Boolean]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped